Package net.shibboleth.idp.profile.impl

# Enum Class WebFlowMessageHandlerAdaptor.Direction

java.lang.Object
java.lang.Enum<WebFlowMessageHandlerAdaptor.Direction>
net.shibboleth.idp.profile.impl.WebFlowMessageHandlerAdaptor.Direction

All Implemented Interfaces:
  `Serializable`, `Comparable<WebFlowMessageHandlerAdaptor.Direction>`, `Constable`

Enclosing class:
  WebFlowMessageHandlerAdaptor

public static enum WebFlowMessageHandlerAdaptor.Direction extends Enum<WebFlowMessageHandlerAdaptor.Direction>
Used to indicate the target message context for invocation of the adapted message handler.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INBOUND`
Indicates to invoke the handle on the inbound message context, obtained via `InOutOperationContext.getInboundMessageContext()`.
`OUTBOUND`
Indicates to invoke the handle on the outbound message context, obtained via `InOutOperationContext.getOutboundMessageContext()`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Direction()`

## Method Summary

Modifier and Type
Method
Description
`static WebFlowMessageHandlerAdaptor.Direction`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WebFlowMessageHandlerAdaptor.Direction[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INBOUND

public static final WebFlowMessageHandlerAdaptor.Direction INBOUND
Indicates to invoke the handle on the inbound message context, obtained via `InOutOperationContext.getInboundMessageContext()`.

### OUTBOUND

public static final WebFlowMessageHandlerAdaptor.Direction OUTBOUND
Indicates to invoke the handle on the outbound message context, obtained via `InOutOperationContext.getOutboundMessageContext()`.

## Constructor Details

### Direction

private Direction()

## Method Details

### values

public static WebFlowMessageHandlerAdaptor.Direction[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static WebFlowMessageHandlerAdaptor.Direction valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null